repos:
-   repo: https://github.com/astral-sh/ruff-pre-commit
    # Find the latest tag matching your Ruff version (e.g., v0.4.10)
    rev: v0.4.10
    hooks:
    -   id: ruff
        args: [--fix, --exit-non-zero-on-fix]
    -   id: ruff-format
-   repo: https://github.com/pre-commit/mirrors-mypy
    # Find the latest tag matching your MyPy version (e.g., v1.10.0)
    rev: v1.10.0 # Adjusted based on common mirror versions, your pyproject has 1.16.0
    hooks:
    -   id: mypy
        # Consider starting without --strict if you have a lot of existing code
        # args: [--strict]
        # Add any specific paths if needed, otherwise it checks all Python files
        # files: ^src/
        additional_dependencies:
          # Add any MyPy plugins or type stubs your project needs here
          # e.g.:
          # - types-requests
          - pydantic
          - types-pyyaml
          # Add other necessary type stubs for your dependencies
